package de.fraunhofer.iem.dataprovider.configuration

import GitConfiguration
import org.springframework.beans.factory.annotation.Value
import org.springframework.stereotype.Component


@Component
class OpenCodeGitlabConfiguration : GitConfiguration {
    @Value("\${OPENCODE_GITLAB_URL}")
    override lateinit var host: String

    @Value("\${OPENCODE_GITLAB_TOKEN}")
    override lateinit var accessToken: String
}
