package de.fraunhofer.iem.dataprovider.taskManager.tasks.tools.qodana.json


import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

@Serializable
data class Region(
    @SerialName("charLength")
    val charLength: Int?,
    @SerialName("charOffset")
    val charOffset: Int?,
    @SerialName("snippet")
    val snippet: Snippet?,
    @SerialName("sourceLanguage")
    val sourceLanguage: String?,
    @SerialName("startColumn")
    val startColumn: Int?,
    @SerialName("startLine")
    val startLine: Int?
)