package de.fraunhofer.iem.dataprovider.taskManager.tasks.tools.qodana.json


import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

@Serializable
data class Run(
    @SerialName("automationDetails")
    val automationDetails: AutomationDetails?,
    @SerialName("invocations")
    val invocations: List<Invocation>?,
    @SerialName("language")
    val language: String?,
    @SerialName("newlineSequences")
    val newlineSequences: List<String>?,
    @SerialName("properties")
    val properties: PropertiesX?,
    @SerialName("tool")
    val tool: Tool?,
    @SerialName("versionControlProvenance")
    val versionControlProvenance: List<VersionControlProvenance>?
)