package de.fraunhofer.iem.dataprovider.toolRun.repository

import de.fraunhofer.iem.dataprovider.toolRun.entity.ToolRunEntity
import org.springframework.data.jpa.repository.JpaRepository
import java.util.*

interface ToolRunRepository : JpaRepository<ToolRunEntity, UUID> {

    fun findFirstByToolIdAndRepositoryIdOrderByTimeStampDesc(toolId: UUID, repoId: UUID): ToolRunEntity
}
