package de.fraunhofer.iem.dataprovider.repository.repository

import de.fraunhofer.iem.dataprovider.repository.entity.RepositoryDetailsEntity
import org.springframework.data.jpa.repository.JpaRepository
import java.util.*


interface RepositoryDetailsRepository : JpaRepository<RepositoryDetailsEntity, UUID> {
    fun findFirstByRepository_IdOrderByTimestampDesc(id: UUID): Optional<RepositoryDetailsEntity>
}
