package de.fraunhofer.iem.dataprovider.taskManager.tasks.tools.ort.model


import kotlinx.serialization.Contextual
import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

@Serializable
data class AdvisorResultJson(
    @SerialName("identifier")
    val identifier: String,
    @SerialName("advisor")
    val advisor: AdvisorInResultJson?,
    @SerialName("defects")
    val defects: List<@Contextual Any>?,
    @SerialName("summary")
    val summary: SummaryJson?,
    @SerialName("vulnerabilities")
    val vulnerabilities: List<VulnerabilityJson>?
)