package de.fraunhofer.iem.dataprovider.taskManager.tasks.tools.qodana.json


import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

@Serializable
data class Invocation(
    @SerialName("executionSuccessful")
    val executionSuccessful: Boolean?,
    @SerialName("exitCode")
    val exitCode: Int?,
    @SerialName("toolExecutionNotifications")
    val toolExecutionNotifications: List<ToolExecutionNotification?>?
)