package de.fraunhofer.iem.dataprovider.taskManager.tasks.tools.qodana.json


import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

@Serializable
data class Rule(
    @SerialName("defaultConfiguration")
    val defaultConfiguration: DefaultConfiguration?,
    @SerialName("fullDescription")
    val fullDescription: FullDescription?,
    @SerialName("id")
    val id: String?,
    @SerialName("relationships")
    val relationships: List<RelationshipX>?,
    @SerialName("shortDescription")
    val shortDescription: ShortDescription?
)