package de.fraunhofer.iem.dataprovider.taskManager.tasks.tools.sarif.json

import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

@Serializable
data class SarifPhysicalLocationJson(
    @SerialName("artifactLocation")
    val artifactLocation: SarifArtifactLocationJson,
    @SerialName("region")
    val region: SarifRegionJson? = SarifRegionJson(-1, -1, -1, -1)
)